<?php

namespace FiloBlu\Referrals\Model\Config\Source;

use Magento\Sales\Model\ResourceModel\Order\Status\CollectionFactory;


class Orderstatus implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var Magento\Sales\Model\ResourceModel\Order\Status\CollectionFactory $statusCollectionFactory
     */
    protected $statusCollectionFactory;

    public function __construct(
        CollectionFactory $statusCollectionFactory
    )
    {
        $this->statusCollectionFactory = $statusCollectionFactory;
    }

    public function toOptionArray()
    {

        $options = $this->statusCollectionFactory->create()->toOptionArray();
        $prepend_element = ['value' => 'any', 'label' => 'Any status'];
        array_unshift($options, $prepend_element);

        return $options;
    }
}